# -*- mode: cmake; tab-width: 2; indent-tabs-mode: t; truncate-lines: t; compile-command: "cmake -Wdev" -*-
# vim: set filetype=cmake autoindent tabstop=2 shiftwidth=2 noexpandtab softtabstop=2 nowrap:

# defines that must be present in config.h for our headers
set (dune-cornerpoint_CONFIG_VAR
	DUNE_GRID_VERSION_MAJOR
	DUNE_GRID_VERSION_MINOR
	DUNE_GRID_VERSION_REVISION
	)

# dependencies
set (dune-cornerpoint_DEPS
	# compile with C99 support if available
	"C99"
	# compile with C++0x/11 support if available
	"CXX11Features"
	# various runtime library enhancements
	"Boost 1.39.0
		COMPONENTS date_time filesystem system iostreams unit_test_framework REQUIRED"
	# DUNE dependency
	"dune-common REQUIRED;
	dune-grid REQUIRED;
	dune-geometry REQUIRED"
	# OPM dependency
	"opm-core REQUIRED"
	)
